RR_GET_INTERVAL(2)

NAME
sched_rr_get_interval - get the SCHED_RR interval for the named process

SYNOPSIS
#include <sched.h>

int sched_rr_get_interval(pid_t pid, struct timespec *tp);

struct timespec {
	time_t	tv_sec;	/* seconds */
	long	tv_nsec;	/* nanoseconds */
};

DESCRIPTION
sched_rr_get_interval writes into the timespec structure pointed to by tp the round robin time quantum for the process identified by pid. If pid is zero, the time quantum for the calling process is written into *tp. The identified process should be running under the SCHED_RR scheduling policy. The round robin time quantum value is not alterable under Linux 1.3.81. POSIX systems on which sched_rr_get_interval is available define _POSIX_PRIORITY_SCHEDULING in <unistd.h>.

RETURN VALUE
On success, sched_rr_get_interval returns 0. On error, -1 is returned, and errno is set appropriately.

ERRORS

ESRCH
    The process whose ID is pid could not be found.

ENOSYS
    The system call is not yet implemented.

CONFORMING TO
POSIX.1b (formerly POSIX.4)

BUGS
As of Linux 1.3.81 sched_rr_get_interval returns with error ENOSYS, because SCHED_RR has not yet been fully implemented and tested properly.

SEE ALSO
sched_setscheduler(2) has a description of the Linux scheduling scheme.

Programming for the real world - POSIX.4 by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0
IEEE Std 1003.1b-1993 (POSIX.1b standard, formerly POSIX.4)
ISO/IEC 9945-1:1996